# FoundationClasses
TKernel
TColStd

# TColStd_ListIteratorOfSetListOfSetOfReal Class Reference

`#include <TColStd_ListIteratorOfSetListOfSetOfReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_ListIteratorOfSetListOfSetOfReal ()
Standard_EXPORT | TColStd_ListIteratorOfSetListOfSetOfReal (const TColStd_SetListOfSetOfReal &L)
Standard_EXPORT void | Initialize (const TColStd_SetListOfSetOfReal &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Standard_Real & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_ListIteratorOfSetListOfSetOfReal::TColStd_ListIteratorOfSetListOfSetOfReal | ( |  | ) |

Standard_EXPORT TColStd_ListIteratorOfSetListOfSetOfReal::TColStd_ListIteratorOfSetListOfSetOfReal | ( | const TColStd_SetListOfSetOfReal & | L | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_ListIteratorOfSetListOfSetOfReal::Initialize | ( | const TColStd_SetListOfSetOfReal & | L | ) |

Standard_Boolean TColStd_ListIteratorOfSetListOfSetOfReal::More | ( |  | ) | const

Standard_EXPORT void TColStd_ListIteratorOfSetListOfSetOfReal::Next | ( |  | ) |

void TColStd_ListIteratorOfSetListOfSetOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_ListIteratorOfSetListOfSetOfReal::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_ListIteratorOfSetListOfSetOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Real& TColStd_ListIteratorOfSetListOfSetOfReal::Value | ( |  | ) | const

## Field Documentation

Standard_Address TColStd_ListIteratorOfSetListOfSetOfReal::current `[private]`

Standard_Address TColStd_ListIteratorOfSetListOfSetOfReal::previous `[private]`

The documentation for this class was generated from the following file:

- TColStd_ListIteratorOfSetListOfSetOfReal.hxx